  /* GFAhnen: Steuerung von/in Texten         Stand 30.01.2013 
   * Textabschnittssteuerung (ffnen/Schlieen von div-Knoten) 
   * Sprungzielmarkierung
   * PopUp-Fenster
   */

  /* Textabschnittssteuerung:
   * Fgt den span.auf/.zu-tags Eventhandler und den div.klass-tags CSS-Klassen hinzu.
   * Ordnet den div.txt am Anfang
   * - beim IE die Klasse closed 
   * - bei Netscape-Abkmmlingen die Klasse opened zu.
   * 
   * menu: Referenz auf das document.
   * data: String, der die Nummern aufgeklappter div-tags enthlt.
   *
   * Beim erstmaligen Aufruf (feld = null) werden die Textabschnitte ganz geffnet,
   * bei weiteren Aufrufen nur diejenigen, die in feld genannt sind.
   */
  var  prevRef;
   /* var Zustd = "closed"; */
    var Zustd = "opened";

  function gfat_init(menu, data) {

   
    var feld = new Array(0);
    /* if (navigator.appName=="Netscape") { Zustd = "opened"; } */
    if(data != null && data != "") { feld = data.match(/\d+/g); }
    var items = menu.getElementsByTagName("span");
    for(var i = 0; i < items.length; i++) {
      if ((items[i].className=='auf') || (items[i].className=='zu')) {
      items[i].onclick = gfat_handleClick;
      items[i].style.cursor = "pointer";  
      }
     }
    var items = menu.getElementsByTagName("div");
    for(var i = 0; i < items.length; i++) {
      if (gfat_contains(gfat_getClasses(items[i]), "klapp")) {
         var classes = gfat_getClasses(items[i]);
         classes.pop();
         if (feld!==null && feld.length>0) {
            if (feld[0]==i) { classes.push("opened"); feld.shift(); } 
                       else { classes.push("closed"); }                     
           } else { classes.push(Zustd); }
         items[i].className = classes.join(" ");
      }
     } 
   gfat_Call();
  }

  /*
   * ndert die Klasse eines angeclickten Listenelements, sodass
   * geffnete Menpunkte geschlossen und geschlossene geffnet
   * werden.
   *
   * event: Das Event-Objekt, das der Browser bergibt.
   */
  function gfat_handleClick(event) {
    if(event == null) { //Workaround fr die fehlenden DOM Eigenschaften im IE
      event = window.event;
      event.currentTarget = event.srcElement;
      event.cancelBubble = true;
    }
    else {
      event.stopPropagation();
    }

     var ding = event.currentTarget;
        ding = ding.parentNode;
    var feld = gfat_getClasses(ding);
    for(var i = 0; i < feld.length; i++) {
      if(feld[i] == "closed") {
        feld[i] = "opened";
      }
      else if(feld[i] == "opened") {
        feld[i] = "closed"
      }
    }
    ding.className = feld.join(" ");
  }
  
  /*
   * Gibt alle Klassen zurck, die einem HTML-Element zugeordnet sind.
   * 
   * element: Das HTML-Element
   * return: Die zugeordneten Klassen.
   */
  function gfat_getClasses(element) {
    if(element.className) {
      return element.className.match(/[^ \t\n\r]+/g);
    }
    else {
      return new Array(0);
    }
  }
  
  /*
   * berprft, ob ein Array ein bestimmtes Element enthlt.
   * 
   * feld: Das Array
   * element: Das Element
   * return: true, wenn das Array das Element enthlt.
   */
  function gfat_contains(feld, element) {
    for(var i = 0; i < feld.length; i++) {
      if(feld[i] == element) {
        return true;
      }
    }
    return false;
  }
  
  /*
   * Gibt einen String zurck, in dem die Nummern aller geffneten
   * div-tags stehen. 
   *
   * menu: Referenz auf die Liste
   * return: Der String
   */
  function gfat_store(menu) {
    var result = new Array();;
    var items = menu.getElementsByTagName("div");
    for(var i = 0; i < items.length; i++) {
      if(gfat_contains(gfat_getClasses(items[i]), "opened")) {
        result.push(i);
      }
    }
    return result.join(" ");
  }
  /*
   *
   * Markiert document-internes Sprungziel 
   */
  function gfat_markiere(ziel) {
   gfat_killMarcs();
   var dinger=document.getElementsByName(ziel);
   if (dinger && dinger.length > 0) {
     var ding = dinger[0].parentNode;

     var classes = gfat_getClasses(ding);
     classes.push('marc');
     ding.className = classes.join(" ");
   }
  }
  /*
   *
   * Markiert Sprungziel im Aufruf
   */
  function gfat_Call() {
   var Ref = location.href;
   var inx = Ref.lastIndexOf('#');
   if (inx > -1) {
   Ref = Ref.substring(inx+1,Ref.length);
   gfat_markiere(Ref);
    }
  }
  /*
   *
   * Test auf neu und Aktivierung des (versteckten) Fensters per alert:
   */
  function gfat_neu() {
   var Ref = location.href;
   if (Ref !== prevRef) {  alert('Ein neuer Quelleneintrag wurde gewhlt'); };
   prevRef = Ref; 
   } 
  /*
   *
   * Lscht Markierungen
   */
  function gfat_killMarcs() {
   var items = document.getElementsByTagName("span");
    for(var i = 0; i < items.length; i++) {
      if (gfat_contains(gfat_getClasses(items[i]), "marc")) {
         var classes = gfat_getClasses(items[i]);
         classes.pop();
    items[i].className = classes.join(" ");
     }
   }
  }
  /*
   *
   * PopUp-Fenster
   */
  function gfat_Fens(Adr) {
  if (myFens) { myFens.close; }
  var myFens = window.open(Adr, "QuFens","toolbar=0,location=0,directories=0,status=1,menubar=1,scrollbars=1,resizable=1,width=700,height=330,screenX=20,screenY=20,top=20,left=20");
  myFens.focus();
}
