SELECT /* Felder der Ergebnistabelle */
 a.PN, CAST(a.FstDate AS DATE) AS AnlDatum, a.FName||', 
'||a.VName AS Name, 
a.GebDat, a.GebOrt, a.SterDat, a.SterOrt
FROM /* Tabellennamen */
 Ahnen.db a
WHERE /* Suchbedingungen */
 (CAST(a.FstDate AS DATE) >= CAST(:vonDatum as DATE)) AND 
 (CAST(a.FstDate AS DATE) <= CAST(:bisDatum as DATE))
ORDER BY /* Felder, nach denen das Ergebnis sortiert wird */
 AnlDatum, Name
