SELECT /* Felder der Ergebnistabelle */
SUBSTRING(a.Gebdat FROM 6 FOR 3)||SUBSTRING(a.Gebdat FROM 9 
FOR 2)||'.'||SUBSTRING(a.Gebdat FROM 1 FOR 4) AS GedenkDat,
(AYEAR - CAST(SUBSTRING(a.Gebdat FROM 1 FOR 4) AS Numeric(4))) AS Jahre,
a.PN, a.FName ||', '|| a.VName AS Name, a.GebDat, a.GebOrt, 
a.SterDat, a.SterOrt
FROM /* Tabellennamen */
 Ahnen.DB a
WHERE /* Suchbedingungen */
(a.GebDat<>'    .  .') AND NOT (a.GebDat LIKE '%.  .')
      AND NOT (a.GebDat LIKE '%.')
ORDER BY /* Felder, nach denen das Ergebnis sortiert wird */
GedenkDat
